wxRuby Documentation Home

# Wx::SpinEvent

This event class is used for the events generated by
SpinButton and SpinCtrl.

## Derived from

NotifyEvent

CommandEvent

Event

Object

## See also

SpinButton and SpinCtrl

## Methods

- SpinEvent.new
- SpinEvent#get_position
- SpinEvent#set_position

### SpinEvent.new

SpinEvent.new(%(arg-type)EventType% commandType = EVT_NULL, Integer id = 0)

The constructor is not normally used by the user code.

### SpinEvent#get_position

Integer get_position()

Retrieve the current spin button or control value.

### SpinEvent#set_position

set_position(%(arg-type)Integer% pos)

Set the value associated with the event.

[This page automatically generated from the Textile source at 2023-06-09 00:45:24 +0000]